//////////////////////////////////////////////////////////////////
// (c) Copyright 2004- by Jeongnim Kim
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//   Jeongnim Kim
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//   Department of Physics, Ohio State University
//   Ohio Supercomputer Center
//////////////////////////////////////////////////////////////////
// -*- C++ -*-
#ifndef OHMMS_APPLYCONSTRAINTS_H
#define OHMMS_APPLYCONSTRAINTS_H

#include "AppBase/ParticleSets.h"

namespace OHMMS {

  class FreezeParticles: public OhmmsElementBase {

  public:

    FreezeParticles(ParticleSets& P,
		    const char* aname="freeze");

    ~FreezeParticles() { }

    bool get(ostream& os) const { return true;}
    bool put(istream& is) {return true;}
    bool put(xmlNodePtr cur);
    void reset();

  private:

    ///set of input particle sets
    ParticleSets& PtclSetRef;
  };
}
#endif
/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 211 $   $Date: 2004-12-22 10:47:03 -0600 (Wed, 22 Dec 2004) $
 * $Id: ApplyConstraints.h 211 2004-12-22 16:47:03Z jnkim $ 
 ***************************************************************************/
