//////////////////////////////////////////////////////////////////
// (c) Copyright 2003  by Jeongnim Kim
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//////////////////////////////////////////////////////////////////
// -*- C++ -*-

#ifndef OHMMS_OHMMSAPP_GENERIC_H
#define OHMMS_OHMMSAPP_GENERIC_H

/** @file OhmmsApp.h
 *@brief Declaration of OhmmsApp.
 */
#include "AppBase/OhmmsAppBase.h"

namespace OHMMS {

  /** generic application to perform Molecular Dynamics Simulation
   */
  class OhmmsApp: public OhmmsAppBase {

  public:

    ///constructor
    OhmmsApp(int argc, char** argv);

    ///destructor
    virtual ~OhmmsApp();
  
    ///dump the current status
    bool dump();

    void initialize();
  };
}
#endif
/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 166 $   $Date: 2004-11-04 17:37:11 -0600 (Thu, 04 Nov 2004) $
 * $Id: OhmmsApp.h 166 2004-11-04 23:37:11Z jnkim $ 
 ***************************************************************************/
