//////////////////////////////////////////////////////////////////
// (c) Copyright 2003-  by Jeongnim Kim
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//////////////////////////////////////////////////////////////////
// -*- C++ -*-
#ifndef OHMMS_XML_TEST_H__
#define OHHMS_XML_TEST_H__
#include "AppBase/OhmmsElementSet.h"

#include <map>
#include <string>
using namespace std;

namespace OHMMS {

  class Test: public OhmmsElementBase {

  public:
    // constructors and destructors
    Test(OhmmsElementSet& nodelist, const char* aname="test");

    bool get(ostream& os) const;
    bool put(istream& is);
    bool put(xmlNodePtr cur);
    void reset();

  private:

    OhmmsElementSet& NodeList;
  };

}
#endif
/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 168 $   $Date: 2004-11-08 12:45:54 -0600 (Mon, 08 Nov 2004) $
 * $Id: Test.h 168 2004-11-08 18:45:54Z jnkim $ 
 ***************************************************************************/
