//////////////////////////////////////////////////////////////////
// (c) Copyright 1998-2002 by Jeongnim Kim
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//   Jeongnim Kim
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//   Department of Physics, Ohio State University
//   Ohio Supercomputer Center
//////////////////////////////////////////////////////////////////
// -*- C++ -*-
#ifndef OHMMS_PARTICLELAYOUT_HDF5_UTILITY_H
#define OHMMS_PARTICLELAYOUT_HDF5_UTILITY_H

#include "OhmmsData/HDFAttribIO.h"
#include "Particle/ParticleTraits.h"

namespace OHMMS {

  class HDFLatticeIO {

    typedef PtclOnLatticeTraits::ParticleLayout_t ParticleLayout_t;
    ParticleLayout_t& ref_;
    public:

    HDFLatticeIO(ParticleLayout_t& lat): ref_(lat){ }
    bool read(hid_t gid);
    bool write(hid_t gid);
  };

}
#endif

/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 160 $   $Date: 2004-11-04 17:25:51 -0600 (Thu, 04 Nov 2004) $
 * $Id: HDFLatticeIO.h 160 2004-11-04 23:25:51Z jnkim $
 ***************************************************************************/
