/////////////////////////////////////////////////////////////////
// (c) Copyright 1998-2002 by Jeongnim Kim
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//   Jeongnim Kim
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//   Department of Physics, Ohio State University
//   Ohio Supercomputer Center
//////////////////////////////////////////////////////////////////
// -*- C++ -*-

#ifndef OHMMS_SLATERKOSTRTB_POTENTIALFACTORY_H
#define OHMMS_SLATERKOSTRTB_POTENTIALFACTORY_H

#include "OhmmsData/OhmmsElementBase.h"

namespace OHMMS {

  class PotentialBase;

  PotentialBase* createTBPotential(int argc, char **argv);

  PotentialBase* createTBPotential(xmlNodePtr tbPtr, xmlNodePtr layoutPtr);

}

#endif
