//////////////////////////////////////////////////////////////////
// (c) Copyright 1998-2002 by Jeongnim Kim
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//   Jeongnim Kim
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//   Department of Physics, Ohio State University
//   Ohio Supercomputer Center
//////////////////////////////////////////////////////////////////
// -*- C++ -*-
#ifndef OHMMS_SPARSEMATRIX_H
#define OHMMS_SPARSEMATRIX_H

#ifdef SPINORBIT
#include "SparseMatrix/SparseMatrixSpinOrbitOMP.h"
#else
#include "SparseMatrix/SparseMatrixOMP.h"
#endif

#include "OhmmsNumeric/Matrix.h"

namespace OHMMS {

  typedef SparseMatrixOMP         SparseMatrix_t;
  typedef SparseMatrix_t::Index_t SparseIndex_t;
}

#endif

/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 151 $   $Date: 2004-11-02 17:51:14 -0600 (Tue, 02 Nov 2004) $
 * $Id: SparseMatrix.h 151 2004-11-02 23:51:14Z jnkim $ 
 ***************************************************************************/

