//////////////////////////////////////////////////////////////////
//                        COPYRIGHT NOTICE
// (c) Copyright 1998-2002 by Jeongnim Kim
//   All rights reserved.
//////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////
//   Jeongnim Kim
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//   Department of Physics, Ohio State University
//   Ohio Supercomputer Center
//////////////////////////////////////////////////////////////////
// -*- C++ -*-
/**********************************************************************
 * Adaptation of Dallas' Trinkles repusette.C
 **********************************************************************/

#ifndef HEXIRREDUCIBLEKPOINT_H
#define HEXIRREDUCIBLEKPOINT_H
#include "CrystalSymmetry/KPointBase.h"

class HEXKPoint: public KPointBase {
public:

  typedef KPointBase::Lattice_t           Lattice_t;
  typedef KPointBase::SingleParticlePos_t SingleParticlePos_t;

  HEXKPoint(Lattice_t&);
  ~HEXKPoint();
  bool foundinIRBZ(const SingleParticlePos_t& dr) const {
    // to add this
  }
};
#endif
/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 151 $   $Date: 2004-11-02 17:51:14 -0600 (Tue, 02 Nov 2004) $
 * $Id: HEXKPoint.h 151 2004-11-02 23:51:14Z jnkim $
 ***************************************************************************/
