      subroutine bctsym(pgind,s,ntot,iut)
      implicit none
c   point group rotation matrices for tetragonal (i) bravais lattices.
c   it is assumed that a1=(a/2,a/2,c/2), a2=(a/2,-a/2,c/2), and
c   a3=(-a/2,-a/2,c/2).  the rotation matrices express how these
c   basis vectors are transformed into one another by point group
c   rotations.
      integer ntot,iut
      integer pgind,s(3,3,48),sum
      integer i,j,k,kind

      do 1 k=1,48
      do 1 j=1,3
      do 1 i=1,3
    1 s(i,j,k)=0
      do 2 i=1,3
    2 s(i,i,1)=1
      if(pgind.lt.11.or.pgind.gt.17) go to 40
c   point group 4.
      ntot=4
      s(1,2,2)=1
      s(2,3,2)=1
      s(3,1,2)=1
      s(3,2,2)=-1
      s(3,3,2)=1
      s(1,3,3)=1
      s(2,1,3)=1
      s(2,2,3)=-1
      s(2,3,3)=1
      s(3,1,3)=1
      s(1,1,4)=1
      s(1,2,4)=-1
      s(1,3,4)=1
      s(2,1,4)=1
      s(3,2,4)=1
      if(pgind.eq.11) return
      if(pgind.ne.12.and.pgind.ne.16) go to 25
c   point group <4>.
      do 21 kind=2,4,2
      do 21 j=1,3
      do 21 i=1,3
   21 s(i,j,kind)=-s(i,j,kind)
      if(pgind.eq.12) return
c   point group <4>2m = <4>(x)c2x.
      ntot=8
      s(1,1,5)=-1
      s(1,2,5)=1
      s(1,3,5)=-1
      s(2,3,5)=-1
      s(3,2,5)=-1
      do 23 kind=2,4
      do 23 j=1,3
      do 23 i=1,3
      sum=0
      do 22 k=1,3
   22 sum=sum+s(i,k,5)*s(k,j,kind)
   23 s(i,j,kind+4)=sum
      return
   25 ntot=8
      if(pgind.ne.13) go to 26
c   point group 4/m = mz(x)4
      s(1,3,5)=-1
      s(2,1,5)=-1
      s(2,2,5)=1
      s(2,3,5)=-1
      s(3,1,5)=-1
      go to 30
   26 if(pgind.ne.15) go to 27
c   point group 4mm = mx(x)4.
      s(1,1,5)=1
      s(1,2,5)=-1
      s(1,3,5)=1
      s(2,3,5)=1
      s(3,2,5)=1
      go to 30
c   point groups 422 = c2x(x)4 and 4/mmm = i(x)422.
   27 s(1,1,5)=-1
      s(1,2,5)=1
      s(1,3,5)=-1
      s(2,3,5)=-1
      s(3,2,5)=-1
   30 do 32 kind=2,4
      do 32 j=1,3
      do 32 i=1,3
      sum=0
      do 31 k=1,3
   31 sum=sum+s(i,k,5)*s(k,j,kind)
   32 s(i,j,kind+4)=sum
      if(pgind.ne.17) return
      ntot=16
      do 34 kind=1,8
      do 34 j=1,3
      do 34 i=1,3
   34 s(i,j,kind+8)=-s(i,j,kind)
      return
   40 write(iut,45) pgind
   45 format(/' point-group index',i3,' is not between 11 and 17'
     &       ,' for a tetragonal group')
      ntot = 1
      do 301 i=1,3
301   s(i,i,1) = 1
      return
      end
