      subroutine fccsym(pgind,s,ntot,iut)
      implicit none
      integer ntot,iut
      integer pgind,s(3,3,48),sum
      integer i,j,k,kind,jind
c   point group rotation matrices for the fcc bravais lattice.  it is
c   assumed that a1=(a/2)(-1,0,1), a2=(a/2)(0,1,1), a3=(a/2)(-1,1,0).
c   the rotation matrices express how these basis vectors are trans-
c   fromed into one another by point-group rotations.
      if(pgind.lt.28.or.pgind.gt.32) go to 100
      do 10 k=1,48
      do 10 j=1,3
      do 10 i=1,3
   10 s(i,j,k)=0
      do 11 i=1,3
   11 s(i,i,1)=1
      ntot=12
c   point group 23.
      s(1,2,2)=-1
      s(1,3,2)=1
      s(2,2,2)=-1
      s(3,1,2)=1
      s(3,2,2)=-1
      s(1,1,3)=-1
      s(2,1,3)=-1
      s(2,3,3)=1
      s(3,1,3)=-1
      s(3,2,3)=1
      s(1,2,4)=1
      s(1,3,4)=-1
      s(2,1,4)=1
      s(2,3,4)=-1
      s(3,3,4)=-1
      s(1,3,5)=-1
      s(2,2,5)=1
      s(2,3,5)=-1
      s(3,1,5)=1
      s(3,3,5)=-1
      s(1,1,6)=-1
      s(1,3,6)=1
      s(2,1,6)=-1
      s(2,2,6)=1
      s(3,1,6)=-1
      do 74 kind=5,6
      do 74 jind=2,4
      do 74 j=1,3
      do 74 i=1,3
      sum=0
      do 72 k=1,3
   72 sum=sum+s(i,k,jind)*s(k,j,kind)
   74 s(i,j,kind+2*jind-2)=sum
      if(pgind.eq.28) return
      ntot=24
      if(pgind.ne.29) go to 76
c   point group m3 = i(x)23
      do 75 kind=1,12
      do 75 j=1,3
      do 75 i=1,3
   75 s(i,j,kind+12)=-s(i,j,kind)
      return
   76 if(pgind.eq.31) go to 80
c   point group 432 = c4x(x)23
      s(1,3,13)=1
      s(2,1,13)=-1
      s(2,3,13)=1
      s(3,2,13)=-1
      s(3,3,13)=1
      do 78 kind=2,12
      do 78 j=1,3
      do 78 i=1,3
      sum=0
      do 77 k=1,3
   77 sum=sum+s(i,k,13)*s(k,j,kind)
   78 s(i,j,kind+12)=sum
      if(pgind.eq.30) return
c   point group m3m = i(x)432
      ntot=48
      do 79 kind=1,24
      do 79 j=1,3
      do 79 i=1,3
   79 s(i,j,kind+24)=-s(i,j,kind)
      return
c   point <4>3m = <c4x>(x)23
   80 s(1,3,13)=-1
      s(2,1,13)=1
      s(2,3,13)=-1
      s(3,2,13)=1
      s(3,3,13)=-1
      do 85 kind=2,12
      do 85 j=1,3
      do 85 i=1,3
      sum=0
      do 84 k=1,3
   84 sum=sum+s(i,k,13)*s(k,j,kind)
   85 s(i,j,kind+12)=sum
      return
c   here if pgind exceeds 32 or is less than 28.
  100 write(iut,110) pgind
  110 format(/' point-group index ',i4,' is not between 28 and 32'
     &       ,' for a cubic group')
      ntot = 1
      do 301 i=1,3
301   s(i,i,1) = 1
      return
      end
