//////////////////////////////////////////////////////////////////
//                        COPYRIGHT NOTICE
// (c) Copyright 1998-2002 by Jeongnim Kim
//   All rights reserved.
//////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////
//                    CONTACT INFORMATION
//   Jeongnim Kim
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//   Department of Physics, Ohio State University
//   Ohio Supercomputer Center
//////////////////////////////////////////////////////////////////
// -*- C++ -*-

#include "OhmmsNumeric/OhmmsBlasf.h"

const int OhmmsBlas::INCX;
const int OhmmsBlas::INCY;
const char OhmmsBlas::UPLO;

const float  OhmmsBlas::sone = 1.0e0;
const float  OhmmsBlas::szero = 0.0e0;
const double OhmmsBlas::done = 1.0e0;
const double OhmmsBlas::dzero = 0.0e0;
const complex<float> OhmmsBlas::cone = 1.0e0;
const complex<float> OhmmsBlas::czero = 0.0e0;
const complex<double> OhmmsBlas::zone = 1.0e0;
const complex<double> OhmmsBlas::zzero = 0.0e0;

/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 151 $   $Date: 2004-11-02 17:51:14 -0600 (Tue, 02 Nov 2004) $
 * $Id: OhmmsBlasf.cpp 151 2004-11-02 23:51:14Z jnkim $ 
 ***************************************************************************/

