/****************************************************************************
** Form implementation generated from reading ui file 'getspecies.ui'
**
** Created: Fri Apr 16 21:14:58 2004
**      by: The User Interface Compiler ($Id: SetSpeciesDialog.cpp 151 2004-11-02 23:51:14Z jnkim $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "OhmmsQt/SetSpeciesDialog.h"
#include "Utilities/OhmmsSpecies.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a SetSpeciesDialog as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SetSpeciesDialog::SetSpeciesDialog(int n)  : QDialog(0,"setSpecies",TRUE,0)
{

  thisMsg = new QLabel( this, "textLabel1" );
  thisMsg->setGeometry( QRect( 20, 10, 320, 60 ) );

  int y=60;
  speciesName.resize(n);
  for(int i=0; i<n; i++) {
    y += 25;
    QLabel *l = new QLabel(QString("%1").arg(i), this); 
    l->setGeometry( QRect( 40, y, 20, 23 ) );
    QLineEdit *a = new QLineEdit( this, "speciesname" );
    a->setGeometry( QRect( 70, y, 80, 23 ) );
    a->setText( tr( "Si" ) );
    speciesName.insert(i,a);
  }

  QPushButton *pushButton1 = new QPushButton( this, "pushButton1" );
  pushButton1->setGeometry( QRect( 200, 85, 60, 32 ) );
  pushButton1->setText( tr( "OK" ) );
  connect(pushButton1,SIGNAL(clicked()), this, SLOT(accept()));
  
  languageChange();
  resize( QSize(340, 160).expandedTo(minimumSizeHint()) );
  clearWState( WState_Polished );
}

void SetSpeciesDialog::updateSpecies(SpeciesBase* species) {
  for(int i=0; i<speciesName.size(); i++) {
    species->getSpeciesID(speciesName[i]->text().ascii());
  }
}

/*
 *  Destroys the object and frees any allocated resources
 */
SetSpeciesDialog::~SetSpeciesDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SetSpeciesDialog::languageChange()
{
  setCaption( tr( "Setting Species Name" ) );
  thisMsg->setText( tr( "<font size=\"+1\">Missing species name information.<br>"
			"Give species name(s) for the particles.</font>" ) );

}

