//////////////////////////////////////////////////////////////////
// (c) Copyright 2003  by Jeongnim Kim
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by 
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//////////////////////////////////////////////////////////////////
// -*- C++ -*-
#include <qmainwindow.h>
#include "Utilities/OhmmsInfo.h"
#include "Message/Communicate.h"
#include "OhmmsQt.h"
using namespace OHMMS;
#include <qapplication.h>

/**\file main.cpp
 * The main routine that creates OhmmsQt to perform atomistic simulations.
 */
int main(int argc, char **argv) {

  Controller->initialize(argc,argv);
  OhmmsInfo ohmms(argc,argv,Controller->mycontext());

  QApplication a(argc,argv);

  OhmmsQt *owin= new OhmmsQt();
  owin->show();
  a.connect(&a,SIGNAL(lastWindowClosed()), &a, SLOT(quit()));
  return a.exec();
//   xmlKeepBlanksDefault(0);
//   xmlDocPtr doc;
//   if(argc == 2) {
//     if(!app.parse(argv[1])) {
//       ERRORMSG("Error parsing file " << argv[1])
//     }
//   } else if(argc > 2) {
//     int iargc=0;
//     while(iargc<argc) {
//       if(!strcmp(argv[iargc],"-f")) {
// 	if(!app.parse(argv[++iargc])) {
//           ERRORMSG("Error parsing file " << argv[iargc])
// 	}
//       }
//       iargc++;
//     }
//   } else {
//     ERRORMSG("No input file is provided.")
//     ERRORMSG("Usage: ohmms.x input-xml")
//   }

//   /* Clean up everything else before quitting. */
//   xmlCleanupParser();
//   Controller->finalize();

//   ApplicationWindow *w = new ApplicationWindow;
//   w->show();
//   app.setMainWidget(w);
//   return app.exec();
  //return(0);
}
/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 151 $   $Date: 2004-11-02 17:51:14 -0600 (Tue, 02 Nov 2004) $
 * $Id: main.cpp 151 2004-11-02 23:51:14Z jnkim $ 
 ***************************************************************************/
