//////////////////////////////////////////////////////////////////
// (c) Copyright 2003- by Jeongnim Kim
//////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////
//   Jeongnim Kim
//   National Center for Supercomputing Applications &
//   Materials Computation Center
//   University of Illinois, Urbana-Champaign
//   Urbana, IL 61801
//   e-mail: jnkim@ncsa.uiuc.edu
//   Tel:    217-244-6319 (NCSA) 217-333-3324 (MCC)
//
// Supported by
//   National Center for Supercomputing Applications, UIUC
//   Materials Computation Center, UIUC
//   Department of Physics, Ohio State University
//   Ohio Supercomputer Center
//////////////////////////////////////////////////////////////////
// -*- C++ -*-
#ifndef OHMMS_XYZPARTICLEPARSER_H
#define OHMMS_XYSPARTICLEPARSER_H

#include "Particle/ParticleSet.h"

namespace OHMMS {

  class XYZParticleParser {

    typedef ParticleSet                  Particle_t;
    typedef Particle_t::ParticlePos_t    ParticlePos_t;
    typedef Particle_t::ParticleIndex_t  ParticleIndex_t;
    typedef Particle_t::ParticleScalar_t ParticleScalar_t;

    Particle_t& ref_;

  public:

    XYZParticleParser(Particle_t& aptcl):ref_(aptcl){ }

    ///reading from a file
    bool put(const char*, xmlNodePtr cur);
  };
}

#endif

/***************************************************************************
 * $RCSfile$   $Author: jnkim $
 * $Revision: 291 $   $Date: 2005-02-01 10:27:21 -0600 (Tue, 01 Feb 2005) $
 * $Id: XYZParticleParser.h 291 2005-02-01 16:27:21Z jnkim $
 ***************************************************************************/
