      FUNCTION gettrace(a,n)
      INTEGER i,j,n
      DOUBLE PRECISION a
      DIMENSION a(n,n)
      gettrace = 0.0
      DO i=1, n
        gettrace = gettraice + a(i,i)
      END DO
      RETURN
      END

      SUBROUTINE matvec(a,x,y,n,m)
      INTEGER i,j,k,one,n,m
      DOUBLE PRECISION x,y, a
      DOUBLE PRECISION y0
      DIMENSION x(n), y(m), a(m,n)
CCDOACROSS local(i,j,k)
      DO i=1, m
        y0 = 0
        DO j=1, n
          y0 = y0 + a(j,i)*x(j)
        END DO
        y(i) = y0
      END DO
      RETURN
      END

      SUBROUTINE cmatvec(a,zx,zy,n,m)
      INTEGER i,j,k,one,n,m
      DOUBLE COMPLEX zx, zy
      DOUBLE PRECISION  a
      DOUBLE COMPLEX zy0
      DIMENSION zx(n), zy(m), a(m,n)
CCDOACROSS local(i,j,k)
      DO i=1, m
        zy0 = 0
        DO j=1, n
          zy0 = zy0 + a(j,i)*zx(j)
        END DO
        zy(i) = zy(i) + zy0
      END DO
      RETURN
      END	

      SUBROUTINE cmatvecd(a,zx,zy,n,m)
      INTEGER i,j,k,one,n,m
      DOUBLE COMPLEX zx, zy
      DOUBLE PRECISION  a
      DOUBLE COMPLEX zy0, zy1
      DIMENSION zx(n,2), zy(m,2), a(m,n)
CCDOACROSS local(i,j,k)
      DO i=1, m
        zy0 = 0
        zy1 = 0
        DO j=1, n
          zy0 = zy0 + a(j,i)*zx(j,1)
          zy1 = zy1 + a(j,i)*zx(j,2)
        END DO
        zy(i,1) = zy(i,1) + zy0
        zy(i,2) = zy(i,2) + zy1
      END DO
      RETURN
      END	


      SUBROUTINE matvec5(a,x,y)
      INTEGER i,j,k,one
      DOUBLE PRECISION  x,y,a
      DIMENSION x(5), y(5), a(5,5)
CCDOACROSS local(i,j,k)
      DO i=1, 5
          y(i) = y(i) + a(1,i)*x(1)
          y(i) = y(i) + a(2,i)*x(2)
          y(i) = y(i) + a(3,i)*x(3)
          y(i) = y(i) + a(4,i)*x(4)
          y(i) = y(i) + a(5,i)*x(5)
      END DO
      RETURN
      END

      SUBROUTINE cmatvec5(a,zx,zy)
      INTEGER i,j,k,one
      DOUBLE COMPLEX zx, zy
      DOUBLE PRECISION  a
      DIMENSION zx(5), zy(5), a(5,5)
CCDOACROSS local(i,j,k)
      DO i=1, 5
        zy(i) = zy(i) + a(1,i)*zx(1)
        zy(i) = zy(i) + a(2,i)*zx(2)
        zy(i) = zy(i) + a(3,i)*zx(3)
        zy(i) = zy(i) + a(4,i)*zx(4)
        zy(i) = zy(i) + a(5,i)*zx(5)
      END DO
      RETURN
      END

      SUBROUTINE cmatvec5d(a,zx,zy)
      INTEGER i,j,k,one
      DOUBLE COMPLEX zx, zy
      DOUBLE PRECISION  a
      DOUBLE COMPLEX y0, y1
      DIMENSION zx(10), zy(10), a(5,5)
CCDOACROSS local(i,j,k)
      DO i=1, 5
        y0 = 0
        y1 = 0
        DO j=1, 5
          y0 = yr + a(j,i)*zx(j)
          y1 = yr + a(j,i)*zx(j+5)
        END DO
        zy(i)   = zy(i)   + y0
        zy(i+5) = zy(i+5) + y1
      END DO
      RETURN
      END

      SUBROUTINE matvec4(a,x,y)
      INTEGER i,j,k,one
      DOUBLE PRECISION  x,y,a
      DIMENSION x(4), y(4), a(4,4)
CCDOACROSS local(i,j,k)
      DO i=1, 4
          y(i) = y(i) + a(1,i)*x(1)
          y(i) = y(i) + a(2,i)*x(2)
          y(i) = y(i) + a(3,i)*x(3)
          y(i) = y(i) + a(4,i)*x(4)
      END DO
      RETURN
      END

      SUBROUTINE cmatvec4(a,zx,zy)
      INTEGER i,j,k,one
      DOUBLE COMPLEX zx, zy
      DOUBLE PRECISION  a
      DOUBLE COMPLEX zy0
      DIMENSION zx(4), zy(4), a(4,4)
CCDOACROSS local(i,j,k)
      DO i=1, 4
        zy(i) = zy(i) + a(1,i)*zx(1)
        zy(i) = zy(i) + a(2,i)*zx(2)
        zy(i) = zy(i) + a(3,i)*zx(3)
        zy(i) = zy(i) + a(4,i)*zx(4)
      END DO
      RETURN
      END

      SUBROUTINE cmatvec4d(a,zx,zy)
      INTEGER i,j,k,one
      DOUBLE COMPLEX zx, zy
      DOUBLE PRECISION  a
      DOUBLE COMPLEX zy0, zy1
      DIMENSION zx(4,2), zy(4,2), a(4,4)
CCDOACROSS local(i,j,k)
      DO i=1, 4
        zy0 = 0
        zy1 = 0
        DO j=1, 4
          zy0 = zy0 + a(j,i)*zx(j,1)
          zy1 = zy1 + a(j,i)*zx(j,2)
        END DO
        zy(i,1) = zy(i,1) + zy0
        zy(i,2) = zy(i,2) + zy1
      END DO
      RETURN
      END


      subroutine prodABsC(block,n,m,a,ioff,nacol,b,joff,nbcol,w,nw)
      integer n,m,ioff,joff,nacol,nbcol,nw
      double precision block(m,n)
      double precision a(nacol,nw),b(nbcol,nw),w(nw)
      double precision t(20)
      integer ib,jb,ii,jj
      double precision tmp

      ii = ioff
      do ib=1,n
         do jb=1,m
            t(jb) = 0.0d0
         enddo
         do is=1,nw
            tmp = w(is)*a(ii,is)
            jj=joff
            do jb=1,m
               t(jb) = t(jb) + tmp*b(jj,is)
               jj = jj+1
            enddo
         enddo
         do jb=1,m
            block(jb,ib) = t(jb)
         enddo
         ii=ii+1
      enddo
      return
      end
